feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.CodeGeneration

# Documentation

codeGenerationError :: ErrorClass -> String -> a

defaultMemberName :: String

class ToC a where

Methods

toC :: Options -> Place -> a -> String

Instances

ToC Type |
ToC (Variable ()) |

getStructTypeName :: Options -> Place -> Type -> String

showVariable :: Options -> Place -> VariableRole -> Type -> String -> String

showType :: Options -> VariableRole -> Place -> Type -> IsRestrict -> String

arrayTypeName :: String

ivarTypeName :: String

showName :: VariableRole -> Place -> Type -> String -> String

passByReference :: Type -> Bool

ind :: (a -> String) -> a -> String

listprint :: (a -> String) -> String -> [a] -> String

decrArrayDepth :: Type -> Type

getStructFieldType :: String -> Type -> Type

structFieldNotFound :: String -> a